apt: eippListParser Class Reference

apt 2.3.15 commandline package manager

Public Member Functions | Protected Member Functions | List of all members
eippListParser Class Reference
Inheritance diagram for eippListParser:

## Public Member Functions
| eippListParser (FileFd *File)
Public Member Functions inherited from edspLikeListParser
virtual bool | NewVersion (pkgCache::VerIterator &Ver) APT_OVERRIDE
virtual std::vector< std::string > | AvailableDescriptionLanguages () APT_OVERRIDE
virtual APT::StringView | Description_md5 () APT_OVERRIDE
virtual uint32_t | VersionHash () APT_OVERRIDE
| edspLikeListParser (FileFd *File)
Public Member Functions inherited from debListParser
virtual std::string | Package () APT_OVERRIDE
virtual bool | ArchitectureAll () APT_OVERRIDE
virtual APT::StringView | Architecture () APT_OVERRIDE
virtual APT::StringView | Version () APT_OVERRIDE
virtual bool | NewVersion (pkgCache::VerIterator &Ver) APT_OVERRIDE
virtual std::vector< std::string > | AvailableDescriptionLanguages () APT_OVERRIDE
virtual APT::StringView | Description_md5 () APT_OVERRIDE
virtual uint32_t | VersionHash () APT_OVERRIDE
virtual bool | SameVersion (uint32_t Hash, pkgCache::VerIterator const &Ver) APT_OVERRIDE
virtual bool | UsePackage (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver) APT_OVERRIDE
virtual map_filesize_t | Offset () APT_OVERRIDE
virtual map_filesize_t | Size () APT_OVERRIDE
virtual bool | Step () APT_OVERRIDE
| debListParser (FileFd *File)
Public Member Functions inherited from pkgCacheListParser
virtual std::string | Package ()=0
virtual bool | ArchitectureAll ()=0
virtual APT::StringView | Architecture ()=0
virtual APT::StringView | Version ()=0
virtual bool | NewVersion (pkgCache::VerIterator &Ver)=0
virtual std::vector< std::string > | AvailableDescriptionLanguages ()=0
virtual APT::StringView | Description_md5 ()=0
virtual uint32_t | VersionHash ()=0
virtual bool | SameVersion (uint32_t Hash, pkgCache::VerIterator const &Ver)
virtual bool | UsePackage (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver)=0
virtual map_filesize_t | Offset ()=0
virtual map_filesize_t | Size ()=0
virtual bool | Step ()=0
virtual bool | CollectFileProvides (pkgCache &, pkgCache::VerIterator &)

## Protected Member Functions
virtual bool | ParseStatus (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver) APT_OVERRIDE
Protected Member Functions inherited from debListParser
virtual bool | ParseStatus (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver)
bool | ParseDepends (pkgCache::VerIterator &Ver, pkgTagSection::Key Key, unsigned int Type)
bool | ParseProvides (pkgCache::VerIterator &Ver)
APT_HIDDEN unsigned char | ParseMultiArch (bool const showErrors)
Protected Member Functions inherited from pkgCacheListParser
bool | NewGroup (pkgCache::GrpIterator &Grp, APT::StringView Name)
map_stringitem_t | StoreString (pkgCacheGenerator::StringType const type, const char *S, unsigned int Size)
map_stringitem_t | StoreString (pkgCacheGenerator::StringType const type, APT::StringView S)
map_stringitem_t | WriteString (APT::StringView S)
map_stringitem_t | WriteString (const char *S, unsigned int Size)
bool | NewDepends (pkgCache::VerIterator &Ver, APT::StringView Package, APT::StringView Arch, APT::StringView Version, uint8_t const Op, uint8_t const Type)
bool | NewProvides (pkgCache::VerIterator &Ver, APT::StringView PkgName, APT::StringView PkgArch, APT::StringView Version, uint8_t const Flags)
bool | NewProvidesAllArch (pkgCache::VerIterator &Ver, APT::StringView Package, APT::StringView Version, uint8_t const Flags)

## Additional Inherited Members
Static Public Member Functions inherited from debListParser
static APT_PUBLIC unsigned char | GetPrio (std::string Str)
static APT_PUBLIC const char * | ParseDepends (const char *Start, const char *Stop, std::string &Package, std::string &Ver, unsigned int &Op, bool const &ParseArchFlags=false, bool const &StripMultiArch=true, bool const &ParseRestrictionsList=false, std::string const &Arch="")
static APT_PUBLIC const char * | ParseDepends (const char *Start, const char *Stop, APT::StringView &Package, APT::StringView &Ver, unsigned int &Op, bool const ParseArchFlags=false, bool StripMultiArch=true, bool const ParseRestrictionsList=false, std::string Arch="")
static APT_PUBLIC const char * | ConvertRelation (const char *I, unsigned int &Op)
Static Protected Member Functions inherited from debListParser
static APT_HIDDEN bool | GrabWord (APT::StringView Word, const WordList *List, unsigned char &Out)
Protected Attributes inherited from debListParser
pkgTagFile | Tags
pkgTagSection | Section
map_filesize_t | iOffset

## Member Function Documentation

## ◆ ParseStatus()

bool ParseStatus | ( | pkgCache::PkgIterator & | Pkg,
|  | pkgCache::VerIterator & | Ver
| ) |  |
| protectedvirtual

Reimplemented from debListParser.

The documentation for this class was generated from the following files:

- apt-pkg/edsp/edsplistparser.h
- apt-pkg/edsp/edsplistparser.cc